%define upstream_name    Pod-Elemental-MakeSelector
%define upstream_version 0.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Build complex selectors as a single sub
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Pod/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Elemental)
BuildRequires: perl(Pod::Elemental::Element::Generic::Blank)
BuildRequires: perl(Pod::Elemental::Element::Generic::Command)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Command)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Ordinary)
BuildRequires: perl(Pod::Elemental::Element::Pod5::Region)
BuildRequires: perl(Pod::Elemental::Transformer::Pod5)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
The selectors provided by the Pod::Elemental::Selectors manpage are fairly
limited, and there's no built-in way to combine them. For example, there's
no simple way to generate a selector that matches a section with a specific
name (a fairly common requirement).

This module exports a single subroutine: 'make_selector'. It can handle
everything that Pod::Elemental::Selectors can do, plus many things it
can't. It also makes it easy to combine criteria. It compiles all the
criteria you supply into a single coderef.

A selector is just a coderef that expects a single parameter: an object
that does Pod::Elemental::Paragraph. It returns a true value if the
paragraph meets the selector's criteria.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.120.0-3pclos2017
- rebuild against updates

